package com.fjs.scenic.service.ticket;

import java.util.List;

import com.fjs.scenic.entity.good.PriceRule;
import com.fjs.scenic.entity.order.Orders;
import com.fjs.scenic.entity.order.PlayMan;
import com.fjs.scenic.utils.ReturnResult;

/**
 * 分销系统接口
 * @author Administrator
 *
 */
public interface TicketService {
	public void creatOTAOrder();
	
	
    public String createPaymentOrder(String goodsId,String price) ;
    
    /**创建未支付订单*/
    public ReturnResult createOrder(Orders order, List<PlayMan> playMans, String goodsId, Integer price, int num) ;

	public void getProduct();


	public String getOrder(String cytOrderNo) ;

	/**向票务系统发起退款申请*/
	public ReturnResult refundTicket(Orders order,String num);
	
	/**修改分销系统订单状态为已支付*/
	public ReturnResult updateOrderToPayment(Orders order);

	public String getProductStock(String goodsId,String time,Integer priceRoleId);
	/**根据价格规则获取时间段库存*/
	public ReturnResult getCytProductStock(PriceRule priceRule);
	
	public ReturnResult getTestProductStock(String goodsId,String time);


	public String updateOrder(String price,String otaOrderNo);


	/**退款测试*/
	public String refundOrder(String orderNo, String otaOrderNo);
	
	/**取消订单，票务释放库存*/
	public ReturnResult deleteOTAorder(String orderNo);
	
	/**测试*/
	public ReturnResult createOrder();
	
	
	
}
